com.sun.grid.jgdi.configuration

## Interface FPET

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    FPETImpl

      public interface FPET
      extends GEObject

  Java representation of the cull object FPET_Type defined in sge_all_listsL.template

  Warning: The FPET class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getId()` Get the value of the id attribute.
    `boolean` | `isSetId()` Determine if any id attribute is set
    `void` | `setId(java.lang.String aId)` Set the id attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setId

          void setId(java.lang.String aId)

      Set the id attribute.
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          java.lang.String getId()

      Get the value of the id attribute.
      Returns:
        the value of the id attribute

    - #### isSetId

          boolean isSetId()

      Determine if any id attribute is set
      Returns:
        `true` if the id attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.